#include "guess.h"
#include <bits/stdc++.h>
using namespace std;


int find_number(int MAX) {
    int l = 1, r = MAX, mid;
    while(l <= r) {
        if(l == r) return l;
        int mid = (l + r) >> 1;
        if(smaller(mid)) r = mid - 1;
        else l = mid;
    }
}

